Bug 976797 - inconsistencies in btrecord man page
Summary: inconsistencies in btrecord man page
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: blktrace
Version: 5.10
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-21 13:38 UTC by Milos Malik
Modified: 2016-06-06 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 595413
Environment:
Last Closed: 2014-04-14 18:13:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milos Malik 2013-06-21 13:38:32 UTC
Description of problem:
Man page contains '--input-base' option instead of '--input-directory' option which is recognized by the utility. Man page does not contain '--max-bunch-time' option which is recognized by the utility.

Version-Release number of selected component (if applicable):
blktrace-1.0.0-6.el5

How reproducible:
always

Steps to Reproduce:
# man btrecord | col -b | grep input-base
       --input-base=<nanoseconds>
# btrecord --input-base
btrecord: unrecognized option `--input-base'
Usage: btrecord -- version 1.0.0

	[ -d <dir>  : --input-directory=<dir> ] Default: .
	[ -D <dir>  : --output-directory=<dir>] Default: .
	[ -F        : --find-traces           ] Default: Off
	[ -h        : --help                  ] Default: Off
	[ -m <nsec> : --max-bunch-time=<nsec> ] Default: 10 msec
	[ -M <pkts> : --max-pkts=<pkts>       ] Default: 8
	[ -o <base> : --output-base=<base>    ] Default: replay
	[ -v        : --verbose               ] Default: Off
	[ -V        : --version               ] Default: Off
	<dev>...                                Default: None

Invalid command line
# man btrecord | col -b | grep max-bunch-time
# echo $?
1

Comment 1 RHEL Program Management 2013-06-21 13:48:05 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2014-03-07 12:15:41 UTC
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.


Note You need to log in before you can comment on or make changes to this bug.